/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1996. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  HELP_PANEL                      1
#define  HELP_PANEL_COMMANDBUTTON        2
#define  HELP_PANEL_TEXTMSG              3

#define  PANEL                           2
#define  PANEL_NUMERICDIAL               2
#define  PANEL_ALARMLOG                  3
#define  PANEL_LOG_ALARMS                4
#define  PANEL_GRAPH                     5
#define  PANEL_PLOT                      6
#define  PANEL_PLOT_VS_TIME              7       /* callback function: PlotTypeCallback */
#define  PANEL_GRAPH_RATE                8       /* callback function: GraphRateCallback */
#define  PANEL_NUMSCANSTOPLOT            9
#define  PANEL_COMMANDBUTTON_2           10      /* callback function: HelpCallback */
#define  PANEL_COMMANDBUTTON             11      /* callback function: QuitCallback */
#define  PANEL_DECORATION                12
#define  PANEL_DECORATION_3              13
#define  PANEL_TEXTMSG_3                 14
#define  PANEL_TEXTMSG_4                 15
#define  PANEL_DECORATION_2              16
#define  PANEL_TEXTMSG_2                 17
#define  PANEL_CHART                     18      /* callback function: DAQChartCallback */
#define  PANEL_GRAPH_TIMER               19      /* callback function: GraphUpdateCallback */
#define  PANEL_TEXTMSG_5                 20
#define  PANEL_TEXTMSG                   21


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK DAQChartCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK GraphRateCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK GraphUpdateCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK HelpCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK PlotTypeCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK QuitCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
