/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1996. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  CONFIG                          1
#define  CONFIG_CONFIG_FILE              2
#define  CONFIG_BROWSE                   3
#define  CONFIG_CONFIG_TEXT              4

#define  CONTROL                         2
#define  CONTROL_PROCESS_STATE           2
#define  CONTROL_STOP                    3
#define  CONTROL_RESTART                 4
#define  CONTROL_RESET                   5
#define  CONTROL_TIME_LEFT               6
#define  CONTROL_PICTURE_2               7

#define  HELP                            3
#define  HELP_HELPBOX                    2

#define  MONITOR                         4
#define  MONITOR_PRESSURE                2
#define  MONITOR_SPEED                   3
#define  MONITOR_NUMERICTHERM            4
#define  MONITOR_DECORATION              5

#define  PANEL                           5
#define  PANEL_DONE                      2       /* callback function: DoneCallback */
#define  PANEL_CANVAS                    3

#define  VALVES                          6
#define  VALVES_INTAKE1                  2
#define  VALVES_INTAKE2                  3
#define  VALVES_INTAKE3                  4
#define  VALVES_DRAIN1                   5
#define  VALVES_DRAIN2                   6
#define  VALVES_DRAIN3                   7
#define  VALVES_DRAIN4                   8
#define  VALVES_DRAIN5                   9
#define  VALVES_DRAIN6                   10
#define  VALVES_DECORATION_2             11
#define  VALVES_DRAINMSG                 12
#define  VALVES_INTAKEMSG                13
#define  VALVES_DECORATION               14


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK DoneCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
