/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1996. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  DAQ1200                         1
#define  DAQ1200_TEXTBOX                 2
#define  DAQ1200_PICTURE                 3

#define  DAQ500                          2
#define  DAQ500_TEXTBOX                  2
#define  DAQ500_PICTURE                  3

#define  DAQ700                          3
#define  DAQ700_TEXTBOX                  2
#define  DAQ700_PICTURE                  3

#define  DAQAO2                          4
#define  DAQAO2_TEXTBOX                  2
#define  DAQAO2_PICTURE                  3

#define  DAQDIO24                        5
#define  DAQDIO24_TEXTBOX                2
#define  DAQDIO24_PICTURE                3

#define  DAQER8                          6
#define  DAQER8_TEXTBOX                  2
#define  DAQER8_PICTURE                  3

#define  HARDWARE                        7
#define  HARDWARE_PCMCIA_CANVAS          2       /* callback function: TabCtrlCallback */
#define  HARDWARE_VXI_CANVAS             3       /* callback function: TabCtrlCallback */

#define  INFO                            8
#define  INFO_TEXTBOX                    2
#define  INFO_TEXTMSG                    3
#define  INFO_PICTURE                    4
#define  INFO_DECORATION                 5

#define  PANEL                           9
#define  PANEL_CANVAS                    2       /* callback function: TabCtrlCallback */
#define  PANEL_QUIT                      3       /* callback function: QuitCallback */

#define  VXICPU030                       10
#define  VXICPU030_TEXTBOX               2
#define  VXICPU030_PICTURE               3

#define  VXIPC486                        11
#define  VXIPC486_TEXTBOX                2
#define  VXIPC486_PICTURE                3

#define  VXIPC850                        12
#define  VXIPC850_TEXTBOX                2
#define  VXIPC850_PICTURE                3


     /* Menu Bars, Menus, and Menu Items: */

#define  PROPBAR                         1
#define  PROPBAR_POPUPMENU               2
#define  PROPBAR_POPUPMENU_PROPERTIES    3
#define  PROPBAR_POPUPMENU_SEPARATOR     4
#define  PROPBAR_POPUPMENU_EXITDEMO      5


     /* Callback Prototypes: */ 

int  CVICALLBACK QuitCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK TabCtrlCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
