/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1996. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  ABOUT                           1
#define  ABOUT_TEXTBOX                   2

#define  BOUNDS                          2
#define  BOUNDS_TOP                      2
#define  BOUNDS_LEFT                     3
#define  BOUNDS_HEIGHT                   4
#define  BOUNDS_WIDTH                    5
#define  BOUNDS_WHICHBOUNDS              6       /* callback function: WhichBoundsCallback */
#define  BOUNDS_AUTO                     7       /* callback function: AutoSizeCallback */
#define  BOUNDS_INT_TOP                  8
#define  BOUNDS_INT_LEFT                 9
#define  BOUNDS_INT_HEIGHT               10
#define  BOUNDS_INT_WIDTH                11
#define  BOUNDS_EXT_TOP                  12
#define  BOUNDS_EXT_LEFT                 13
#define  BOUNDS_EXT_HEIGHT               14
#define  BOUNDS_EXT_WIDTH                15
#define  BOUNDS_TEXTMSG_2                16
#define  BOUNDS_TEXTMSG_3                17
#define  BOUNDS_DECORATION_2             18
#define  BOUNDS_DECORATION               19
#define  BOUNDS_TEXTMSG                  20
#define  BOUNDS_DECORATION_3             21

#define  EDIT                            3
#define  EDIT_CANVAS                     2
#define  EDIT_OK                         3       /* callback function: TabEdit_OKCallback */
#define  EDIT_CANCEL                     4       /* callback function: TabEdit_CancelCallback */
#define  EDIT_APPLY                      5       /* callback function: TabEdit_ApplyCallback */

#define  FONT                            4
#define  FONT_METAFONT                   2
#define  FONT_COMMANDBUTTON              3       /* callback function: SetFontCallback */
#define  FONT_COLOR                      4
#define  FONT_DECORATION                 5

#define  TABS                            5
#define  TABS_BUTTONPOS                  2
#define  TABS_STRETCH                    3
#define  TABS_GAP                        4
#define  TABS_ACTIVE                     5


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK AutoSizeCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SetFontCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK TabEdit_ApplyCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK TabEdit_CancelCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK TabEdit_OKCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK WhichBoundsCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
