/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1996. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  HELPPANEL                       1
#define  HELPPANEL_OK                    2
#define  HELPPANEL_LOCHEADER             3
#define  HELPPANEL_TEXTMSG               4
#define  HELPPANEL_TEXTMSG_3             5
#define  HELPPANEL_TEXTMSG_5             6
#define  HELPPANEL_TEXTMSG_7             7
#define  HELPPANEL_TEXTMSG_8             8
#define  HELPPANEL_TEXTMSG_9             9
#define  HELPPANEL_TEXTMSG_6             10
#define  HELPPANEL_TEXTMSG_4             11
#define  HELPPANEL_TEXTMSG_10            12
#define  HELPPANEL_TEXTMSG_11            13
#define  HELPPANEL_TEXTMSG_12            14
#define  HELPPANEL_TEXTMSG_13            15
#define  HELPPANEL_TEXTMSG_14            16
#define  HELPPANEL_TEXTMSG_15            17
#define  HELPPANEL_ResultHeader          18
#define  HELPPANEL_TEXTMSG_2             19
#define  HELPPANEL_MSG1                  20
#define  HELPPANEL_ACTIONHEADER          21

#define  MOVABLE                         2
#define  MOVABLE_STRING                  2
#define  MOVABLE_NUMERIC_2               3
#define  MOVABLE_TANK                    4
#define  MOVABLE_NUMERIC                 5
#define  MOVABLE_OPEN                    6
#define  MOVABLE_RADIOBUTTON             7
#define  MOVABLE_NUMERICSLIDE            8
#define  MOVABLE_TEXTMSG                 9

#define  PANEL                           3
#define  PANEL_CTRLRING                  2       /* callback function: ChangeCtrl */
#define  PANEL_MOVABLE                   3       /* callback function: SetMovable */
#define  PANEL_SIZABLE                   4       /* callback function: SetSizable */
#define  PANEL_LABELMOVABLE              5       /* callback function: SetLabelMovable */
#define  PANEL_CONFIGNAME                6
#define  PANEL_NAMEHISTORY               7       /* callback function: SelectHistoryItem */
#define  PANEL_SAVESETTINGS              8       /* callback function: SaveSettings */
#define  PANEL_LOADSETTINGS              9       /* callback function: LoadSettings */
#define  PANEL_HELP                      10      /* callback function: ShowHelp */
#define  PANEL_QUIT                      11      /* callback function: ShutDown */
#define  PANEL_DECORATION                12


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK ChangeCtrl(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK LoadSettings(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SaveSettings(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SelectHistoryItem(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SetLabelMovable(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SetMovable(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SetSizable(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ShowHelp(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ShutDown(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
