/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1996. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                           1
#define  PANEL_PASSWORD                  2       /* callback function: PasswordCallback */
#define  PANEL_MAXLENGTH                 3
#define  PANEL_MASK                      4
#define  PANEL_PWVALUE                   5
#define  PANEL_GETATTRIBUTES             6       /* callback function: GetAttributesCallback */
#define  PANEL_SETATTRIBUTES             7       /* callback function: SetAttributesCallback */
#define  PANEL_HELP                      8       /* callback function: HelpCallback */
#define  PANEL_COMMANDBUTTON_3           9       /* callback function: QuitCallback */
#define  PANEL_DECORATION                10
#define  PANEL_TEXTMSG                   11
#define  PANEL_DECORATION_2              12


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK GetAttributesCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK HelpCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK PasswordCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK QuitCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SetAttributesCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
